commit 0913e6eb7b5d87a5323440dc6644f7347c360857
Author: Timo Sirainen <timo.sirainen@dovecot.fi>
Date:   Wed Jun 21 16:54:25 2017 +0300

    lib/bits.c: Finish fix for compiling with gcc 3.0 .. 3.3

diff --git a/src/lib/bits.c b/src/lib/bits.c
index f6117f1..7939e0a 100644
--- a/src/lib/bits.c
+++ b/src/lib/bits.c
@@ -12,7 +12,7 @@ size_t nearest_power(size_t num)
 	return n;
 }
 
-#if __GNUC__ > 2
+#if __GNUC__ > 3 || (__GNUC__ == 3 && __GNUC_MINOR__ >= 4)
 /* Lucky you, it's all inline intrinsics */
 #else
 unsigned int bits_required8(uint8_t num)
